rack_project rack 不正确的行为次序:过早验证

CVE编号

CVE-2022-30123

利用情况

暂无

补丁情况

N/A

披露时间

2022-12-06
漏洞描述
A sequence injection vulnerability exists in Rack <2.0.9.1, <2.1.4.1 and <2.2.3.1 which could allow is a possible shell escape in the Lint and CommonLogger components of Rack.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 rack_project rack * Up to
(excluding)
2.0.9.1
运行在以下环境
应用 rack_project rack * From
(including)
2.1.0
Up to
(excluding)
2.1.4.1
运行在以下环境
应用 rack_project rack * From
(including)
2.2.0
Up to
(excluding)
2.2.3.1
运行在以下环境
系统 alibaba_cloud_linux_2.1903 pcs * Up to
(excluding)
0.9.169-3.1.al7.3
运行在以下环境
系统 amazon_2 pcs * Up to
(excluding)
0.9.169-3.amzn2.1.2
运行在以下环境
系统 debian_10 pcs * Up to
(excluding)
2.0.6-3+deb10u1
运行在以下环境
系统 debian_11 pcs * Up to
(including)
2.1.4-3
运行在以下环境
系统 debian_12 pcs * Up to
(including)
2.2.3-4
运行在以下环境
系统 debian_9 pcs * Up to
(including)
1.6.4-4+deb9u1
运行在以下环境
系统 debian_sid pcs * Up to
(including)
2.2.3-4
运行在以下环境
系统 fedora_EPEL_8 pcs * Up to
(excluding)
2.2.4-1.el8
运行在以下环境
系统 redhat_7 pcs * Up to
(excluding)
0:0.9.169-3.el7_9.3
运行在以下环境
系统 ubuntu_14.04 pcs * Up to
(excluding)
1.5.2-3+deb8u3ubuntu1~esm4
CVSS3评分
10.0
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    已更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-179 不正确的行为次序:过早验证
NVD-CWE-Other
阿里云安全产品覆盖情况